Index: cbv2/src/config/Options.lb
===================================================================
--- cbv2.orig/src/config/Options.lb
+++ cbv2/src/config/Options.lb
@@ -845,7 +845,7 @@ end
 # Misc device options
 ###############################################
 
-define CONFIG_HAVE_FANCTL
+define CONFIG_SUPERIO_ITE_IT8716F_OVERRIDE_FANCTL
 	default 0
 	export used
 	comment "Include board specific FAN control initialization"
Index: cbv2/src/mainboard/gigabyte/m57sli/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/gigabyte/m57sli/Config.lb
+++ cbv2/src/mainboard/gigabyte/m57sli/Config.lb
@@ -150,7 +150,7 @@ else
     end
 end
 
-if CONFIG_HAVE_FANCTL
+if CONFIG_SUPERIO_ITE_IT8716F_OVERRIDE_FANCTL
 	object fanctl.o
 end
 
Index: cbv2/src/mainboard/gigabyte/m57sli/Kconfig
===================================================================
--- cbv2.orig/src/mainboard/gigabyte/m57sli/Kconfig
+++ cbv2/src/mainboard/gigabyte/m57sli/Kconfig
@@ -7,6 +7,7 @@ config BOARD_GIGABYTE_M57SLI
 	select NORTHBRIDGE_AMD_AMDK8_ROOT_COMPLEX
 	select SOUTHBRIDGE_NVIDIA_MCP55
 	select SUPERIO_ITE_IT8716F
+	select SUPERIO_ITE_IT8716F_OVERRIDE_FANCTL
 	select HAVE_PIRQ_TABLE
 	select HAVE_MP_TABLE
 	select USE_PRINTK_IN_CAR
@@ -143,9 +144,3 @@ config IRQ_SLOT_COUNT
 	int
 	default 11
 	depends on BOARD_GIGABYTE_M57SLI
-
-# not globally defined yet, so can't "select" this
-config HAVE_FANCTL
-	bool
-	default y
-	depends on BOARD_GIGABYTE_M57SLI
Index: cbv2/src/mainboard/gigabyte/m57sli/Makefile.inc
===================================================================
--- cbv2.orig/src/mainboard/gigabyte/m57sli/Makefile.inc
+++ cbv2/src/mainboard/gigabyte/m57sli/Makefile.inc
@@ -29,7 +29,7 @@ obj-$(CONFIG_USE_INIT) += cache_as_ram_a
 obj-$(CONFIG_AP_CODE_IN_CAR) += apc_auto.o
 obj-$(CONFIG_GENERATE_ACPI_TABLES) +=  dsdt.o
 obj-$(CONFIG_GENERATE_ACPI_TABLES) +=  acpi_tables.o
-obj-$(CONFIG_HAVE_FANCTL) += fanctl.o
+obj-$(CONFIG_SUPERIO_ITE_IT8716F_OVERRIDE_FANCTL) += fanctl.o
 
 # This is part of the conversion to init-obj and away from included code. 
 initobj-y += crt0.o
Index: cbv2/src/superio/ite/it8716f/superio.c
===================================================================
--- cbv2.orig/src/superio/ite/it8716f/superio.c
+++ cbv2/src/superio/ite/it8716f/superio.c
@@ -51,7 +51,7 @@ static void pnp_exit_ext_func_mode(devic
 	pnp_write_config(dev, 0x02, 0x02);
 }
 
-#ifdef CONFIG_HAVE_FANCTL
+#if CONFIG_SUPERIO_ITE_IT8716F_OVERRIDE_FANCTL
 extern void init_ec(uint16_t base);
 #else
 static void pnp_write_index(uint16_t port_base, uint8_t reg, uint8_t value)
Index: cbv2/src/mainboard/gigabyte/m57sli/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/gigabyte/m57sli/Options.lb
+++ cbv2/src/mainboard/gigabyte/m57sli/Options.lb
@@ -115,7 +115,7 @@ uses CONFIG_WAIT_BEFORE_CPUS_INIT
 
 uses CONFIG_USE_PRINTK_IN_CAR
 
-uses CONFIG_HAVE_FANCTL
+uses CONFIG_SUPERIO_ITE_IT8716F_OVERRIDE_FANCTL
 ###
 ### Build options
 ###
@@ -141,7 +141,7 @@ default CONFIG_RAMTOP=2048*1024
 ##
 ## Set-up automatic fan control
 ##
-default CONFIG_HAVE_FANCTL=1
+default CONFIG_SUPERIO_ITE_IT8716F_OVERRIDE_FANCTL=1
 
 ##
 ## Build code for the fallback boot
